STAT(1)

NOMBRE
stat - muestra el estado de un archivo o sistema de archivos

SINOPSIS
stat [OPCIÓN]... ARCHIVO...

DESCRIPCIÓN

Muestra el estado de un archivo o sistema de archivos

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-L, --dereference
    sigue los enlaces

-f, --file-system
    muestra el estado del sistema de archivos en lugar del estado del propio archivo

--cached=MODO
    define cómo emplear los atributos guardados; útil para sistemas de archivo remotos. Consulte MODO a continuación.

-c  --format=FORMATO
    utiliza el FORMATO definido en lugar del asignado por defecto. Crea un salto de línea después de cada uso de FORMATO

--printf=FORMATO
    Igual que --format salvo que interpreta las barras invertidas y no crea una nueva línea. Si quiere que se cree una nueva línea, deberá incluir \n en FORMATO

-t, --terse
    muestra información succíntamente

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

El argumento de --cached puede ser: 'always', 'never' o 'default'. 'always' emplea los atributos guardados si están disponibles, 'never' intenta sincronizarse con los últimos atributos mientras que 'default' lo deja en manos del sistema de archivo.

Estas son las secuencias válidas para los archivos (sin --file-system):

%a  permisos en formato octal (observe las marcas '#' y '0') de printf

%A  permisos y tipo de archivo en formato humanamente legible

%b  cantidad de bloques empleados (consulte %B)

%B  tamaño en bytes de cada bloque dado por %b

%C  Contexto de seguridad de SELinux

%d  número del dispositivo en formato decimal (st_dev)

%D  número del dispositivo en formato hexadecimal (st_dev)

%Hd número mayor del dispositivo en formato decimal

%Ld número menor del dispositivo en formato decimal

%f  modo raw en formato hexadecimal

%F  tipo de archivo

%g  ID del grupo del propietario

%G  nombre del grupo del propietario

%h  cantidad de enlaces duros

%i  número del inodo

%m  punto de montaje

%n  nombre del archivo

%N  nombre del archivo o de su referente si es un enlace simbólico

%o  sugerencia para una óptima transferencia E/S

%s  tamaño total en bytes

%r  tipo del dispositivo en formato decimal (st_rdev)

%R  tipo de dispositivo en formato hexadecimal (st_rdev)

%Hr tipo principal de dispositivo en formato decimal, para archivos especiales de bloques/caracteres

%Lr subtipo de dispositivo en formato decimal, para archivos especiales de bloques/caracteres

%t  tipo principal de dispositivo en formato hexadecimal, para archivos especiales de bloques/caracteres

%T  subtipo de dispositivo en formato hexadecimal, para archivos especiales de bloques/caracteres

%u  ID de usuario del propietario

%U  nombre de usuario del propietario

%w  hora de creación del archivo en formato humanamente legible. Si es desconocido se emplea '-'

%W  hora de creación del archivo en segundos desde el Inicio (Epoch). Se asigna 0 si es desconocido

%x  hora del último acceso en formato humanamente legible

%X  hora del último acceso. En segundos desde el Inicio (Epoch)

%y  hora de la última modificación en formato humanamente legible

%Y  fecha de la última modificación en segundos desde el Inicio (Epoch)

%z  fecha del último cambio de estado en formato humanamente entendible.

%Z  fecha del último cambio de estado en segundos desde el Inicio (Epoch)

Formatos válidos para sistemas de archivo:

%a  bloques disponibles para usuarios no administradores

%b  cantidad total de bloques de datos en el sistema de archivos

%c  nodos totoales en el sistema de archivo

%d  nodos libres en el sistema de archivo

%f  bloques libres en el sistema de archivos

%i  ID del sistema de archivo en formato hexadecimal

%l  longitud máxima para los nombres de archivo

%n  nombre del archivo

%s  tamaño de bloque (para transferencias más rápidas)

%S  tamaño de bloque fundamental (para contabilizarlos)

%t  tipo de sistema de archivos en formato hexadecimal

%T  tipo de sistema de archivo en formato humanamente legible

  --terse equivale a los siguientes FORMATOS:

    %n %s %b %f %u %g %D %i %h %t %T %X %Y %Z %W %o %C

  --terse --file-system equivale al siguiente FORMATO:

    %n %i %l %t %s %S %b %f %a %c %d

NOTA: su shell puede incluir su propia versión de stat que suele prevalecer sobre la aquí descrita. Vea la documentación de su shell para ver qué opciones incluye.

AUTOR
Escrito por Michael Meskes.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
stat(2), statfs(2), statx(2)

Documentación completa: <https://www.gnu.org/software/coreutils/stat>
también disponible localmente ejecutando:info '(coreutils) stat invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.